<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ruoyi.oa.mapper.OaEmployeeMapper">

    <resultMap type="com.ruoyi.oa.domain.OaEmployee" id="OaEmployeeResult">
        <result property="employeeId" column="employee_id"/>
        <result property="employeeName" column="employee_name"/>
        <result property="company" column="company"/>
        <result property="delFlag" column="del_flag"/>
        <result property="remark" column="remark"/>
        <result property="createBy" column="create_by"/>
        <result property="createTime" column="create_time"/>
        <result property="updateBy" column="update_by"/>
        <result property="updateTime" column="update_time"/>
    </resultMap>

    <select id="getDefaultInsuranceTemplateId" resultType="java.lang.Long">
        SELECT default_insurance_template_id FROM oa_employee WHERE employee_id = #{employeeId}
    </select>
    <select id="getDefaultSalaryTemplateId" resultType="java.lang.Long">
        SELECT default_salary_template_id FROM oa_employee WHERE employee_id = #{employeeId}
    </select>
</mapper>
